using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using GcDevicePc.Module;

namespace GcDevicePc
{
    public partial class _424XTest : Form
    {
        private WTD424XOutput my424 = new WTD424XOutput();

        private WTD624X my624 = new WTD624X("192.168.1.57",502);

        public _424XTest()
        {
            InitializeComponent();
        }

        private void _424XTest_Load(object sender, EventArgs e)
        {
            my424.WTD424X_Open();
            my624.WTD624X_Open();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            float[] data = new float[] { 10.0f,8.8f, 13.3f,14.4f};
            my624.UpdateData(data);
        }

        private void button2_Click(object sender, EventArgs e)
        {
            float[] data = new float[] { 10.0f, 8.8f, 13.3f, 14.4f };
            my424.UpdateData2(data);
        }

        private void button3_Click(object sender, EventArgs e)
        {
            my624.UpdateIP("192.168.1.54","255.255.255.0","192.168.1.1");
        }
    }
}
